import 'package:senior_platform_authentication/senior_platform_authentication.dart';

import '../../data/repositories/secure_storage_repository.dart';

class GetStoredTokenUsecase implements BaseUsecase<Token?, NoParams> {
  late final SecureStorageRepository _secureStorageRepository;

  GetStoredTokenUsecase({
    SecureStorageRepository? secureStorageRepository,
  }) {
    _secureStorageRepository =
        secureStorageRepository ?? SecureStorageRepositoryImpl();
  }

  @override
  Future<Token?> call(NoParams params) async {
    return await _secureStorageRepository.readToken();
  }
}
