import 'package:senior_platform_authentication/senior_platform_authentication.dart';

import '../../data/repositories/secure_storage_repository.dart';

class GetStoredUserUsecase implements BaseUsecase<User?, NoParams> {
  late final SecureStorageRepository _secureStorageRepository;

  GetStoredUserUsecase({
    SecureStorageRepository? secureStorageRepository,
  }) {
    _secureStorageRepository =
        secureStorageRepository ?? SecureStorageRepositoryImpl();
  }

  @override
  Future<User?> call(NoParams params) async {
    return await _secureStorageRepository.readUser();
  }
}
